<ui version="4.0" >
 <class>KNetAttach</class>
 <widget class="Q3Wizard" name="KNetAttach" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>594</width>
    <height>431</height>
   </rect>
  </property>
  <property name="windowTitle" >
   <string>Network Folder Wizard</string>
  </property>
  <property name="titleFont" >
   <font>
    <pointsize>16</pointsize>
   </font>
  </property>
  <widget class="QWidget" name="_folderType" >
   <attribute name="title" >
    <string>Add Network Folder</string>
   </attribute>
   <layout class="QGridLayout" >
    <property name="margin" >
     <number>0</number>
    </property>
    <item row="2" column="0" >
     <widget class="KButtonGroup" name="buttonGroup1" >
      <property name="title" >
       <string/>
      </property>
      <layout class="QGridLayout" >
       <property name="margin" >
        <number>0</number>
       </property>
       <item row="4" column="0" >
        <widget class="QRadioButton" name="_recent" >
         <property name="text" >
          <string>&amp;Recent connection:</string>
         </property>
        </widget>
       </item>
       <item row="0" column="0" colspan="2" >
        <widget class="QRadioButton" name="_webfolder" >
         <property name="text" >
          <string>&amp;WebFolder (webdav)</string>
         </property>
         <property name="checked" >
          <bool>true</bool>
         </property>
        </widget>
       </item>
       <item row="3" column="0" colspan="2" >
        <widget class="QRadioButton" name="_fish" >
         <property name="text" >
          <string>&amp;Secure shell (ssh)</string>
         </property>
         <property name="checked" >
          <bool>false</bool>
         </property>
        </widget>
       </item>
       <item row="4" column="1" >
        <widget class="KComboBox" name="_recentConnectionName" >
         <property name="enabled" >
          <bool>false</bool>
         </property>
         <property name="sizePolicy" >
          <sizepolicy vsizetype="Fixed" hsizetype="Minimum" >
           <horstretch>1</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
         <property name="minimumSize" >
          <size>
           <width>250</width>
           <height>0</height>
          </size>
         </property>
        </widget>
       </item>
       <item row="1" column="0" colspan="2" >
        <widget class="QRadioButton" name="_ftp" >
         <property name="text" >
          <string>FT&amp;P</string>
         </property>
        </widget>
       </item>
       <item row="2" column="0" colspan="2" >
        <widget class="QRadioButton" name="_smb" >
         <property name="text" >
          <string>&amp;Microsoft® Windows® network drive</string>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
    </item>
    <item row="3" column="0" >
     <spacer name="spacer2_2" >
      <property name="orientation" >
       <enum>Qt::Vertical</enum>
      </property>
      <property name="sizeType" >
       <enum>QSizePolicy::Expanding</enum>
      </property>
      <property name="sizeHint" stdset="0" >
       <size>
        <width>31</width>
        <height>16</height>
       </size>
      </property>
     </spacer>
    </item>
    <item row="0" column="0" >
     <widget class="QLabel" name="textLabel1_2" >
      <property name="text" >
       <string>Select the type of network folder you wish to connect to and press the Next button.</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignVCenter</set>
      </property>
      <property name="wordWrap" >
       <bool>false</bool>
      </property>
     </widget>
    </item>
    <item row="1" column="0" >
     <spacer name="spacer20" >
      <property name="orientation" >
       <enum>Qt::Vertical</enum>
      </property>
      <property name="sizeType" >
       <enum>QSizePolicy::Fixed</enum>
      </property>
      <property name="sizeHint" stdset="0" >
       <size>
        <width>20</width>
        <height>21</height>
       </size>
      </property>
     </spacer>
    </item>
   </layout>
  </widget>
  <widget class="QWidget" name="_folderParameters" >
   <property name="geometry" >
    <rect>
     <x>6</x>
     <y>46</y>
     <width>582</width>
     <height>337</height>
    </rect>
   </property>
   <attribute name="title" >
    <string>Network Folder Information</string>
   </attribute>
   <layout class="QGridLayout" >
    <property name="margin" >
     <number>0</number>
    </property>
    <item row="0" column="0" colspan="3" >
     <widget class="QLabel" name="_informationText" >
      <property name="text" >
       <string>Enter a name for this &lt;i>%1&lt;/i> as well as the server address, port and folder path to use and press the Next button.</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignVCenter</set>
      </property>
      <property name="wordWrap" >
       <bool>true</bool>
      </property>
     </widget>
    </item>
    <item row="1" column="2" >
     <spacer name="spacer20_2" >
      <property name="orientation" >
       <enum>Qt::Vertical</enum>
      </property>
      <property name="sizeType" >
       <enum>QSizePolicy::Fixed</enum>
      </property>
      <property name="sizeHint" stdset="0" >
       <size>
        <width>20</width>
        <height>21</height>
       </size>
      </property>
     </spacer>
    </item>
    <item row="2" column="0" >
     <widget class="QLabel" name="textLabel4_2" >
      <property name="text" >
       <string>&amp;Name:</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
      </property>
      <property name="wordWrap" >
       <bool>false</bool>
      </property>
      <property name="buddy" >
       <cstring>_connectionName</cstring>
      </property>
     </widget>
    </item>
    <item row="5" column="1" >
     <widget class="QSpinBox" name="_port" >
      <property name="sizePolicy" >
       <sizepolicy vsizetype="Fixed" hsizetype="Minimum" >
        <horstretch>1</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="alignment" >
       <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
      </property>
      <property name="minimum" >
       <number>1</number>
      </property>
      <property name="maximum" >
       <number>65535</number>
      </property>
     </widget>
    </item>
    <item row="6" column="1" colspan="2" >
     <widget class="KLineEdit" name="_path" />
    </item>
    <item row="3" column="0" >
     <widget class="QLabel" name="_userText" >
      <property name="text" >
       <string>&amp;User:</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
      </property>
      <property name="wordWrap" >
       <bool>false</bool>
      </property>
      <property name="buddy" >
       <cstring>_user</cstring>
      </property>
     </widget>
    </item>
    <item row="4" column="0" >
     <widget class="QLabel" name="textLabel1" >
      <property name="text" >
       <string>Se&amp;rver:</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
      </property>
      <property name="wordWrap" >
       <bool>false</bool>
      </property>
      <property name="buddy" >
       <cstring>_host</cstring>
      </property>
     </widget>
    </item>
    <item row="5" column="0" >
     <widget class="QLabel" name="_portText" >
      <property name="text" >
       <string>&amp;Port:</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
      </property>
      <property name="wordWrap" >
       <bool>false</bool>
      </property>
      <property name="buddy" >
       <cstring>_port</cstring>
      </property>
     </widget>
    </item>
    <item row="3" column="1" colspan="2" >
     <widget class="KLineEdit" name="_user" >
      <property name="sizePolicy" >
       <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
        <horstretch>10</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
     </widget>
    </item>
    <item row="4" column="1" colspan="2" >
     <widget class="KLineEdit" name="_host" >
      <property name="sizePolicy" >
       <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
        <horstretch>10</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
     </widget>
    </item>
    <item row="6" column="0" >
     <widget class="QLabel" name="textLabel3" >
      <property name="text" >
       <string>&amp;Folder:</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
      </property>
      <property name="wordWrap" >
       <bool>false</bool>
      </property>
      <property name="buddy" >
       <cstring>_path</cstring>
      </property>
     </widget>
    </item>
    <item row="11" column="0" colspan="3" >
     <spacer name="spacer5" >
      <property name="orientation" >
       <enum>Qt::Vertical</enum>
      </property>
      <property name="sizeType" >
       <enum>QSizePolicy::Expanding</enum>
      </property>
      <property name="sizeHint" stdset="0" >
       <size>
        <width>560</width>
        <height>16</height>
       </size>
      </property>
     </spacer>
    </item>
    <item row="8" column="1" colspan="2" >
     <widget class="QCheckBox" name="_createIcon" >
      <property name="text" >
       <string>Cr&amp;eate an icon for this remote folder</string>
      </property>
      <property name="checked" >
       <bool>true</bool>
      </property>
     </widget>
    </item>
    <item row="2" column="1" colspan="2" >
     <widget class="KLineEdit" name="_connectionName" />
    </item>
    <item row="9" column="1" >
     <widget class="QCheckBox" name="_useEncryption" >
      <property name="text" >
       <string>&amp;Use encryption</string>
      </property>
     </widget>
    </item>
    <item row="7" column="0" >
     <widget class="QLabel" name="_encodingText" >
      <property name="enabled" >
       <bool>true</bool>
      </property>
      <property name="text" >
       <string>Encoding:</string>
      </property>
      <property name="alignment" >
       <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
      </property>
     </widget>
    </item>
    <item row="7" column="1" >
     <widget class="KComboBox" name="_encoding" />
    </item>
   </layout>
  </widget>
 </widget>
 <layoutdefault spacing="6" margin="11" />
  <customwidgets>
  <customwidget>
   <class>KButtonGroup</class>
   <extends>QGroupBox</extends>
   <header>kbuttongroup.h</header>
   <container>1</container>
  </customwidget>
  <customwidget>
   <class>KComboBox</class>
   <extends>QComboBox</extends>
   <header>kcombobox.h</header>
  </customwidget>
  <customwidget>
   <class>KLineEdit</class>
   <extends>QLineEdit</extends>
   <header>klineedit.h</header>
  </customwidget>
  <customwidget>
   <class>Q3Wizard</class>
   <extends>QDialog</extends>
   <header>q3wizard.h</header>
   <container>1</container>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>_webfolder</tabstop>
  <tabstop>_recentConnectionName</tabstop>
  <tabstop>_connectionName</tabstop>
  <tabstop>_user</tabstop>
  <tabstop>_host</tabstop>
  <tabstop>_port</tabstop>
  <tabstop>_path</tabstop>
  <tabstop>_createIcon</tabstop>
 </tabstops>
 <includes>
  <include location="global" >kurl.h</include>
  <include location="global" >qpushbutton.h</include>
  <include location="global" >kbuttongroup.h</include>
  <include location="global" >ktoolinvocation.h</include>
 </includes>
 <resources/>
 <connections/>
</ui>
